## Présentation MOOC

Avez-vous conscience d’être constamment entouré•e•s de programmes?

Ce matin, vous vous êtes peut-être levé•e•s au son de la mélodie du réveil 
que vous aviez programmé la veille.
Vous avez ensuite bu le café que votre machine à café a préparé à 
l’heure prévue selon vos désirs.
Votre smartphone vous a ensuite rappelé votre première tâche de la 
matinée: vous inscrire à ce MOOC.

Ces objets sont tous des objets programmés. Il est souvent nécessaire de 
les paramétrer, ou de les configurer pour pouvoir adapter leur 
fonctionnement à vos besoins.

Que ce soit dans votre vie personnelle, professionnelle et même 
étudiante, vous êtes et vous serez continuellement en interaction avec 
des programmes.

Vous attendez qu’ils vous assistent en automatisant certaines tâches ou 
en vous aidant à prendre des décisions.

Comprendre leur fonctionnement, être capable de les maîtriser et d’en 
produire vous permettra d’en obtenir tout le potentiel et de prendre ou 
de reprendre le contrôle de votre vie numérique.
L’objectif est de vous permettre d’améliorer votre approche des 
technologies numériques de façon à les adapter à vos besoins plutôt que 
de les subir et de devoir vous adapter à elles.

L’omniprésence des technologies de l’information dans l’ensemble des 
disciplines nécessite de proposer des formations solides à la pensée 
informatique afin de vous amener à la maîtrise et au contrôle de votre 
environnement numérique. L’initiation à la programmation, sans viser à 
vous transformer en développeurs, permet justement de vous former à la 
pensée informatique et de vous apporter les compétences nécessaires.

Que vous vous destiniez à des études informatiques ou non, ce cours a 
pour objectif de vous permettre de comprendre et maîtriser les concepts 
de base de la programmation.

Vous développerez des compétences dans le domaine de la pensée 
informatique : analyse d’une problématique, conception d’une solution et 
réalisation concrète sous forme de programmes. A la suite de ce cours, 
vous aurez acquis des connaissances qui vous permettront de comprendre, 
choisir et contrôler l’environnement numérique dans lequel vous évoluez.

Si vous vous destinez à une formation en informatique, ce cours vous 
permettra par la suite d’aborder des cours de programmation avancée.

Aucune connaissance préalable en programmation n’est requise pour suivre 
ce cours.
