## String ou Char

Vous allez devoir désigner si les éléments sont des Char ou des String.

Seuil de réussite: 80%
Temps : 5 min
Fonction du quiz: Formative/Certificative

Q1 : 
```scala
'a'
```
Type de question: 
- Réponse correcte unique 


Réponses :
- Char Correct -> En effet, ici a est une valeur de type Char, vous pouvez le déterminer grâce aux caractères '' qui l'entourent.
- String Incorrect -> a n'est pas un String, vous pouvez le déterminer à partir des caractères qui l'entourent.


Q2 :
```scala
"b"
```
Type de question: 
- Réponse correcte unique


Réponses :
Correct/Incorrect -> Feedback si sélectioné
- Char Incorrect -> b n'est un pas une valeur de type Char, vous pouvez le déterminer à partir des caractères qui l'entourent.
- String Correct -> En effet, ici b est bien une valeur de type String, vous pouvez le déterminer grâce aux caractères "" qui l'entourent.


Q3 : 
```scala
"Le café permet de me réveiller le matin."
```
Type de question: 
- Réponse correcte unique

Réponses :
- Char Correct/Incorrect -> Par définition, les valeurs de type Char ne peuvent représenter qu'un caractère. Par ailleurs, les valeurs ne sont pas délimitées par les caractères "".
- String Correct  ->  En effet, c'est un String qui peut contenir tout les caractères les un après les autres.
- Aucun des deux Incorrect -> Non, un des deux choix est possible. Contrôlez les caractères qui entourent la valeur.

Q4: 
```scala
'ceci est un Char ou une String'
```
Type de question: 
- Réponse correcte unique 

Réponses :
- Char Incorrect -> Ceci n'est une valeur de type Char valide, même si elle est délimitée par les caractères ''. Par définition, les valeurs de type Char ne peuvent représenter qu'un caractère.
- String Incorrect -> Ceci n'est pas une valeur de type String, elles sont délimitées par les caractères "".
- Aucun des deux Correct -> En effet, la valeur présentée est délimitée par les caractères '' qui sont utilisés pour délimiter les valeurs de type Char, mais une valeur de type Char ne peut contenir qu'un seul caractère.

Q5: 
```scala
"Char"
```
Type de question: 
- Réponse correcte unique 

Réponses :
- Char Incorrect -> Ceci n'est une valeur de type Char. Elle n'est pas délimitée par les bons caractères. Par définition, les valeurs de type Char ne peuvent représenter qu'un caractère.
- String Correct -> Il s'agit bien d'une valeur de type String. Elle est bien délimitée par les caractères "". Même si Char est le mot réservé en Scala pour le type caractère, les caractères "" qui l'entourent en font la valeur de type String: Char
- Aucun des deux Incorrect -> Vérifiez bien la façon dont la valeur est écrite. Elle correspond bien à un des deux types relatifs au texte. 

Q6: 
```scala
''
```
Type de question: 
- Réponse correcte unique 

Réponses :
- Char Incorrect -> Ceci n'est une valeur de type Char valide. Il n'existe pas de caractère "vide". Au mieux il est possible d'avoir la valeur ' ' qui représente le caractère espace.
- String Incorrect -> Il ne peut pas s'agir d'une valeur de type String, compte tenu des caractères qui délimitent la valeur.
- Aucun des deux Correct -> Une chaîne de caractère peut être vide, c'est à dire ne contenir aucun caractère. Elle est représentée "". Mais un caractère ne peut pas être "vide". 


Q7: 
```scala
'\n'
```
Type de question: 
- Réponse correcte unique 

Réponses :
- Char Correct -> Ceci est bien une valeur de type Char valide. La valeur \n représente le caractère dénommé: retour à la ligne. Ce caractère existe, mais n'a pas de représentation visuelle. Il est donc représenté par deux caractères: \n, mais il s'agit bien d'un seul caractère.
- String Incorrect -> Il ne peut pas s'agir d'une valeur de type String, compte tenu des caractères qui délimitent la valeur.
- Aucun des deux Incorrect -> Bien que cette valeur contiennent plusieurs caractères et soient délimitée par les caractères '', il s'agit bien d'une valeur d'un des deux types relatifs au texte. 
