## Tous Types

Vous allez devoir répondre à un quiz global sur l'ensemble des types qui permet de tester si vous avez compris leur fonctionnement et ce qu'ils représentent.

Seuil de réussite: 80%
Temps : 5 min
Fonction du quiz: Formative

Q1 : Quel fragment de code déclare et utilise les types vu précédements correctement ?
Type de question: 
- Réponse correcte multiple 

Réponses :
```scala
val taxe:Double = 2.5
var café:Int = 5
val message:String = "Le total est de "
````
- Correct -> En effet, ici la définition et l'utilisation des variables et des types est correcte.

```scala
val taxe:Int = 2.5
var café:Double = 5
val message:String = 'Le total est de '

````
- Incorrect -> Certains des types déclarés ne sont pas compatibles avec les types des valeurs affectées.

```scala
val taxe:Double = 2.5
var café:Int = 5
val message:String = "Le total est de "

````
- Correct -> En effet, ici la définition et l'utilisation des variables et des types est correcte.

Q2 : Quel fragment de code déclare et utilise les types vu précédements correctement ?
Type de question: 
- Réponse correcte unique 

Réponses :

```scala
temp = 400
temp = (temp- 32) * 5/9 +" °C"
````
- Incorrect -> Ce code ne définit pas correctement la variable temp.

```scala
val temp = 400
temp = (temp- 32) * 5/9 +" °C"
````
- Incorrect -> Ce code ne définit pas correctement temp comme une variable, mais comme une constante avec l'instruction de déclaration val.

```scala
var temp = 400
temp = (temp- 32) * 5/9 
````
- Correct -> Les variables sont correctement déclarées. Ce code s'exécutera correctement. 