## All Types

This quiz is designed to measure your understanding of types as a whole, how they work and what they are for.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1: Which code fragment correctly declares and uses the types covered so far in the course?
Question type: 
- Multiple correct answers 

Answers :
```scala
val tax:Double = 2.5 
var coffee:Int = 5 
val message:String = "The total is " 

````-> Yes, in this example the variables and types are correctly defined and used.

```scala
val tax:Int = 2.5 
var coffee:Double = 5 
val message:String = 'The total is '

````
- Wrong -> Some of the declared variable types are incompatible with the values assigned to them.

```scala
val tax:Double = 2.5 
var coffee:Int = 5 
val message:String = "The total is "

````
- Correct -> Yes, in this example the variables and types are correctly defined and used.

Q2: Which code fragment correctly declares and uses the types covered so far in the course?
Question type: 
- Single correct answer 

Answers:

```scala
temp = 400 
temp = (temp- 32) * 5/9 +" °C" 
````
- Wrong -> This code fails to define the variable temp.

```scala
val temp = 400 
temp = (temp- 32) * 5/9 +" °C" 
````
- Wrong -> By using the declaration instruction *val* instead of *var*, this code incorrectly defines the variable temp as a constant rather than a mutable variable.

```scala
var temp = 400 
temp = (temp- 32) * 5/9 
````
- Correct -> The variables are correctly declared here. This code will execute as intended.