## Adopt a Type

This quiz is designed to measure your understanding of variable types. You’ll be asked to 
select the most appropriate type based on the information to be stored in the variable.


Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1:  Which type is most appropriate to record the present or absence of a cat in a remote monitoring system?

Question type: 
- Single correct answer 

Answers:

- Boolean  Correct -> Yes, the cat’s presence/absence can be modeled using a Boolean variable named cat, which will have the value “true” if the cat is present and “false” if it isn’t.
- Int  Wrong -> An Int-type variable is not the best choice here. Granted, an *Int* variable could contain the number of cats, but this is not the information we are looking for. Another type is more appropriate.
- String  Wrong -> A String-type variable is not the best choice here. A *String* can contain information well beyond a simple yes or no. Another type is more appropriate.



Q2:  Which type would be best suited if you wanted to store the (alphanumeric) license plate number of a vehicle?
Question type: 
- Single correct answer 

Answers:

- String  Correct -> This type is capable of storing a series of alphanumeric characters.
- Float  Wrong -> A *Float* variable cannot contain letters.
- Char  Wrong -> The *Char* type can contain only a single character, not a series of characters.