## Comprendre le principe des instructions conditionnelles

Vous allez devoir répondre à un quiz sur les instructions conditionelles en programmation.

Seuil de réussite : 80%
Temps total : 5 min
Fonction du quiz: Formative

Q1 : Choisir la définition correcte d'une instruction conditionnelle :
Type de question : 
- Réponse correcte unique 

Type de question : Réponse correcte unique

- Un moyen de sauvegarder une information Incorrect -> C'est l'affectation.
- Un moyen de s'assurer qu'une variable contient ou non une valeur donnée  Incorrect -> C'est une condition qui fait partie d'une instruction conditionnelle.
- un moyen permettant d'exécuter une instruction / un bloc d'instructions précis en fonction du résultat d'une condition. Correct -> En effet, une instruction conditionnelle permet au programme d'exécuter ou non une partie du code en fonction du résultat (vrai ou faux) de l'évaluation d'une condition.


Q2 : Pourquoi les instructions conditionnelles sont-elles nécessaires en programmation ?
Type de question : Réponses correctes multiples

- Pour exécuter une instruction ou d'un bloc d'instructions en fonction du contexte d'exécution du programme Correct -> Les instructions conditionnelles permettent d'envisager toutes les situations possibles et d'effectuer le choix de la bonne solution (quelle instruction ou bloc d'instructions exécuter) au moment de l'exécution du programme.
- Pour choisir le type d'une variable Incorrect -> Le choix du type d'une variable se fait au moment de sa déclaration dans le programme.
- Pour écrire un commentaire Incorrect -> La rédaction d'un commentaire dans un programme n'a rien à voir avec les instructions conditionnelles.
- Pour modifier la façon dont les instructions sont exécutées par défaut Correct -> Par défaut, les instructions sont exécutées séquentiellement, les unes après les autres dans l'odre dans lequel elles sont écrites. Les instructions conditionnelles permettent de changer cet ordre par défaut en permettant d'exécuter ou non une instruction ou un bloc d'instructions.
- Pour compiler certaines parties du code d'un programme Incorrect -> L'intégralité du code d'un programme est compilé.

Q3 : A quoi servent les accolades ouvrante { et fermante } pour une instruction conditionnelle?
Type de question : Réponses correctes multiples

- A délimiter la condition qui est testée dans l'instruction conditionnelle Incorrect -> La condition à tester est délimitée par des parenthèses ouvrante ( et fermantes ).
- A délimiter les instructions à exécuter si la condition testée est vraie et éventuellement si la condition est fausse Correct -> Les instructions sont écrites les unes à la suite des autres dans le code du programme. Il est donc nécessaire de délimiter les instructions qui s'exécutent si la condition est vraie et éventuellement si la condition est fausse de celles qui précédent et qui suivent l'instruction conditionnelle. S'il n'y a qu'une instruction les {} sont facultatives.
- A délimiter l'instruction conditionnelle Incorrect -> L'instruction conditionelle n'a pas besoin d'être délimitée, ce qu'il faut délimiter pour le différencier du reste du code du programme c'est le bloc d'instructions qui doit s'exécuter si la condition testée et vraie et eventuellement celui qui doit s'exécuter si la condition est fausse.
- Les {} ne sont pas utiles pour les instructions conditionnelles Incorret -> Elles sont indispensables pour délimiter le bloc d'instructions à exécuter si la condition testée et vrai et éventuellement celui à exécuter si la condition est fausse. Elles sont facultatives si il n'y a qu'une instructions à exécuter pour la situation où la condition vraie ou pour la situation où la condition est fausse.
