## Understanding conditional instructions

This quiz is designed to measure your understanding of conditional instructions in programming.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1: Select the correct definition of a conditional instruction:
Question type: 
- Single correct answer 

Question type: Single correct answer

- A way to save information  Wrong –> That would be a variable assignment.
- A way to verify whether a variable contains a given value or not  Wrong -> That would be a condition, which is part of a conditional instruction.
- A way to execute a specific instruction or series of instructions depending on whether a stated condition is fulfilled or not. Correct –>  Yes, a conditional instruction means the program will (or won’t) execute a segment of code after having evaluated whether a stated condition is true or false.


Q2: What is the purpose of conditional instructions in programming?
Question type: - Multiple correct answers

- They allow an instruction or series of instructions to be executed based on the program’s execution context.  Correct –> Conditional instructions allow you to consider all possible situations and select the right solution (which instruction or series of instructions to execute) at a specific point of the program’s execution.
- To select a variable type  Wrong -> The variable type is selected when the variable is declared in the program.
- To write comments  Wrong -> Writing comments and conditional instructions are two different, unrelated things.
- To change how instructions are executed by default  Correct -> By default, instructions are executed sequentially (consecutively) in whatever order they are written. Conditional instructions allow us to change this default order by specifying whether or not to execute an instruction or series of instructions.
- To compile certain parts of a program’s code  Wrong –> All of a program’s code gets compiled.

Q3: What are the left and right curly brackets (also known as braces) – { } – used for in a conditional instruction?
Question type: - Multiple correct answers

- To demarcate the condition that is to be tested by the conditional instruction  Wrong –> The condition to be tested is written between opening and closing parentheses ( ).
- To demarcate the instructions to be executed if the test condition is true, and in some cases if the condition is false.  Correct -> In programming, instructions are written one after the other.  In a conditional instruction, curly brackets are used to differentiate the instructions to be executed if the condition is true (and in some cases, if it’s false) from the instructions that precede and follow the conditional instruction. If there is only one instruction, the { } are optional.
- To demarcate the conditional instruction  Wrong-> There is no need to demarcate the conditional instruction itself. What needs to be differentiated from the rest of the program is the series of instructions to be executed if the condition is evaluated as true (and in some cases, as false).
- Curly brackets are not used for conditional instructions  Wrong -> In fact, they are necessary in order to indicate which series of instructions to execute if the condition is true (and in some cases, if it’s false). If there is only one instruction to be executed based on the condition, the { } are optional.
