## Des petits blocs
Temps total : 5 min
Vous allez devoir répondre à un quiz, un problème est posé, différent blocs permettent de le résoudre, vous devez identifier le bon.

Q1 : Quel bloc permet de résoudre le problème suivant ?
Type de question: 
- Réponse correcte unique 

A 8h, 10h et 16h, les contrôleurs TPG inspectent la ligne de tram n°12 uniquement le lundi et le vendredi. Le jeudi et mardi ils inspectent aux même heures la ligne 23.

- Bloc 1
```scala
si(jour == "lundi"){
    inspecter(12)
}

si(jour == "vendredi"){
    inspecter(12)
}
sinon { 
    inspecter(23)
}
```
Incorrect -> L'inspection de la ligne 12 n'est pas tout les jours de la semaine sauf le lundi et vendredi.


- Bloc 2
```scala
si(jour == "jeudi" || jour == "mardi"){
    inspecter(12)
}
sinon { 
    inspecter(23)
}
```
Incorrect -> L'inspection de la ligne 23 n'est pas tout les jours de la semaine sauf le jeudi et mardi.

- Bloc 3

```scala
si(jour == "lundi"){
    inspecter(12)
}sinon{
si( jour == "vendredi"){
    inspecter(12)
}
sinon { 
    si (jour == "mardi"){
        
        inspecter(23)
        
    }
    
    si (jour == "jeudi"){
        
        inspecter(23)
    }       
    }
}
```
Incorrect -> Les contrôles du lundi/vendre et du jeudi/mardi ne sont pas dépendant.

- Bloc 4 

```scala
si(jour == "lundi"){
    inspecter(12)
}sinon{

si(jour == "vendredi"){
    inspecter(12)
}sinon{
si (jour == "jeudi" ){
     inspecter(23)
}sinon{
si (jour == "mardi"){
     inspecter(23)
}
}
}
}
``` 
Correct -> Les contrôles du lundi/vendre et du jeudi/mardi ne sont pas dépendant.

Q2 : Quels blocs permet de définir la variable nombre comme un entier en Scala  ?
Type de question: 
- Réponse correcte unique 

- Bloc 1
```scala

var entier = true 
if(entier) {
    var nombre = 0}
else{
    var nombre = 1.1
}
```
Correct -> La variable booléan entier est initialisé à vrai, donc nombre sera égale à l'entier 0.
- Bloc 2
```scala

var entier = false 
if(entier) {
    var nombre = 0}
else{
    var nombre = 1.1
}
```
Incorrect -> La variable booléan entier est initialisé à faux, donc nombre sera égale au Double 1.1.

- Bloc 3
```scala

var entier:Int = 0

if(entier) {
    var nombre = 0}
else{
    var nombre = 1.1
}
```
Incorrect -> La variable entier est un entier initialisé à 0, donc le test sur la variable entier ne fonctionnera pas.
