## While

Vous allez devoir répondre à un quiz sur le while.

Seuil de réussite: 80%
Temps : 5 min
Fonction du quiz: Formative

Q1 : Quelle est la forme générale du while ?
Type de question: 
- Réponse correcte unique 

Réponses :
- while (condition) expression Correct -> Bonne réponse.
- while (expression) condition Incorrect -> Mauvaise réponse, la condition vient avant l'expression.
- expression (condition) while Incorrect -> Mauvaise réponse, l'expression vient après la condition.

Q2 : Laquelle de ces boucles ci-dessous sera infinie ?
Type de question: 
- Réponse correcte multiple 

Réponses :

``` scala
var temps = 10
while (temps > 0){
    temps -= 1
    println(temps)
}
``` 
Incorrect -> Mauvaise réponse, la condition de sortie est valide.

``` scala
var temps = 0
while (temps < 100){
    temps += 1
    println(temps)
}
``` 
Incorrect -> Mauvaise réponse, la condition de sortie est valide.

``` scala
var temps = 0
while (temps < 100){
    println(temps)
}
``` 
Correct -> Bonne réponse, en effet la valeur de la variable temps ne change pas, la condition ne peut donc être jamais vraie, la boucle est infinie.

``` scala
var temps = 100
while (temps < 100){
    println(temps)
}
``` 

Incorrect -> Mauvaise réponse, la condition du while n'est jamais valide. La boucle n'est pas infinie.
