## While

This quiz is designed to measure your understanding of *while* loops.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1: Which of the following is the basic model for using a *while* loop?
Question type: 
- Single correct answer 

Answers:
- while (condition) expression  Correct -> Yes, that’s the right order.
- while (expression) condition  Wrong -> No, the condition comes before the expression. 
- expression (condition) while  Wrong  -> No, the expression comes after the condition.

Q2: Which of the following loops are infinite loops?
Question type: 
- Multiple correct answers 

Answers:

``` scala
var time = 10
while (time > 0){
    time -= 1
    println(time)
}
``` 
Wrong -> No, the exit condition is valid here.

``` scala
var time = 0
while (time < 100){
    time += 1
    println(time)
}
``` 
Wrong -> No, the exit condition is valid here. 

``` scala
var time = 0
while (time < 100){
    println(time)
}
``` 
Correct -> Yes, since the variable *time* never changes, the condition can never be true and the loop is infinite.

``` scala
var time = 100
while (time < 100){
    println(time)
}
``` 

Wrong -> No, here the *while* condition is never valid. The loop is therefore not infinite.
