## Comment fonctionne un tableau ? Comment définir sa taille?

Vous allez devoir répondre à un quiz sur les tableaux et leur index.

Seuil de réussite: 80%
Temps : 5 min
Fonction du quiz: Formative

Q1 : Quelle méthode faut-il utiliser pour créer une variable contenant un tableau ?
Type de question:
- Réponse correcte unique

Réponses :

- Tableau Incorrect -> Non, le nom de la méthode vient de la langue de Shakespeare.
- Array Correct -> Bonne réponse.
- Grille Incorrect -> Non, le nom de la méthode vient de la langue de Shakespeare.

Q2 : D'après la définition du tableau ci-dessous, quel est le type des valeurs que contient le tableau ?
``` scala
val tableau = Array('p','r','o','g','s','c','a','l','a')
``` 

Type de question:

- Réponse correcte unique

Réponses :

- Double Incorrect -> Le tableau ne contient pas de nombres décimaux.
- Int Incorrect -> Le tableau ne contient pas de nombres entiers.
- Char Correct -> Bonne réponse
- String Incorrect ->  Le tableau ne contient pas de chaînes de caractères.

Q3 : D'après la définition du tableau ci-dessous, que contient le tableau à l'index 1 et 2?
``` scala
val tableau = Array(5,1,3,8,2)
``` 
Type de question:

- Réponse correcte unique

Réponses :

- 8 et 2 Incorrect -> 8 se trouve à l'index 5 et 2 à l'index 6.
- 3 et 8 Incorrect -> 3 se trouve à l'index 2 et 8 à l'index 5 .
- 1 et 3 Correct -> Bonne réponse
- 5 et 1 Incorrect -> 5 se trouve à l'index 0 et 1 à l'index 1 .

Q4 : Que contient le tableau ci-dessous à l'index -1?
``` scala
val tableau = Array(1.1,1.2,1.3,1.4,1.5)
``` 
Type de question:

- Réponse correcte unique

Réponses :

- Cela va générer une erreur. Correct -> Bonne réponse, en effet l'indice -1 n'existe pas avec Array.
- 1.5 -> L'index -1 n'existe pas avec Array.
- 1.1 -> L'index -1 n'existe pas avec Array.
