## How do arrays work? How do you define an array’s size?

This quiz is about arrays and array indices.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1: How would you create a variable containing an array?
Question type:
- Single correct answer

Answers:

- Table  Wrong -> No, the correct answer is *array*.
- Array  Correct -> Yes, that’s the right answer.
- Grid  Wrong -> No, the correct answer is *array*.

Q2: Look at the array defined below: what value type does the array contain?
``` scala
val tableau = Array('p','r','o','g','s','c','a','l','a')
``` 

Question type:

- Single correct answer

Answers:

- Double  Wrong -> The array does not contain decimal numbers.
- Int  Wrong -> The array does not contain integers.
- Char  Correct -> Yes, that is the right answer.
- String  Wrong ->  The array does not contain any character chains, only individual characters.

Q3: Look at the array defined below: what are the contents of indices 1 and 2?
``` scala
val array = Array(5,1,3,8,2)
``` 
Question type:

- Single correct answer

Answers:

- 8 and 2 Wrong -> 8 is in index 5 and 2 is in index 6.
- 3 and 8 Wrong -> 3 is in index 2 and 8 is in index 5 .
- 1 and 3 Correct -> Yes, that’s the right answer.
- 5 and 1 Incorrect -> 5 is in index 0 and 1 is in index 1 .

Q4: What is the content of index -1 of the following array?
``` scala
val array = Array(5,1,3,8,2)
``` 
Question type:

- Single correct answer

Answers:

- An error will be produced. Correct -> Yes, there is no index -1 when using an *array* object.
- 1.5  Wrong -> There is no index -1 when using an *array* object.
- 1.1  Wrong -> There is no index -1 when using an *array* object.
