## Dynamique, Immutable ou autre.

Description comme dans le plan du cours.

Seuil de réussite: 80%
Temps : 5 min
Fonction du quiz: Formative

Q1 : Comment créer un tableau dynamique ?
Type de question:

- Réponse correcte unique

Réponses :

- ArrayBuffer Correct  -> Il ne faut pas oublier d'importer la classe ArrayBuffer avant de l'utiliser.
- Array Incorrect -> Array permet de créer un tableau de taille statique.
- BufferArray Incorrect -> Ceci n’est pas un type valide.

Q2 : Comment ajouter un élément à un tableau dynamique?
``` scala
var saladedeChiffre = ArrayBuffer[Int]()
```

Type de question:

- Réponse correcte unique

Réponses :

- saladedeChiffre += 3 Correct  -> Bonne réponse, il faut faire attention au type de l'élément que l'on ajoute au tableau.
- saladedeChiffre =+ 3  -> Mauvaise réponse, le signe d'affectation n'est pas correcte.
- saladedeChiffre = 3 -> Mauvaise réponse, le signe d'affectation n'est pas correcte. Dans ce cas, saladedeChiffre contiendra la valeur 3, plus le tableau.


Q3 : Comment parcourir un tableau ?
Type de question:

- Réponse correcte multiples

Réponses :

- En utilisant une boucle for Correct -> Bonne réponse, il faut itérer sur l'index du tableau. Il est aussi possible d'utiliser un while.
- En utilisant une boucle while Correct -> Bonne réponse, il faut itérer sur l'index du tableau. Il est aussi possible d'utiliser un for.
- En utilisant la méthode mkString Incorrect -> Mauvaise réponse, la méthode mkString permet uniquement de convertir le tableau en String.

Q4 : Comment se nomme un tableau qui ne peut être modifié une fois créé et comment le déclarer et lui affectuer les valeurs 4, 5 et 6?
Type de question:

- Réponse correcte unique

Réponses :

- Tableaux invariables, val vecteur = Inv(4,5,6) Incorrect -> Mauvaise réponse, la méthode et le nom ne sont pas corrects.
- Tableaux immutables, val vecteur = Vector(4,5,6) Correct -> Bonne réponse.
- Tableaux immutables, val vecteur = Vecteur(4,5,6) -> Mauvaise réponse, la méthode Vecteur n'existe pas.
