## Dynamic, Immutable or other

Description: see course outline.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1: How do you create a dynamic array?
Question type:

- Single correct answer

Answers:

- ArrayBuffer  Correct  -> Yes. Don’t forget to import the *ArrayBuffer* class before using it.
- Array  Wrong -> *Array* creates a static-size array.
- BufferArray  Wrong -> There is no such type in Scala.

Q2: How would you add an element to a dynamic array?
``` scala
var numberSalad = ArrayBuffer[Int]()
```

Question type:

- Single correct answer

Answers:

- numberSalad += 3 Correct  -> Yes. It's important to make sure the element being added is of the appropriate type.
- numberSalad =+ 3  Wrong -> The wrong assignment symbol is used here.
-  numberSalad = 3  Wrong -> No, the wrong assignment symbol is used here. Here, *numberSalad* will contain value 3, plus the array.


Q3: How do you instruct a program to read the values in an array?
Question type:

- Multiple correct answers

Answers:

- By using a *for* loop  Correct -> Yes, a loop needs to be iterated on the array's index. You could also use a *while* loop.
- By using a *while* loop  Correct -> Yes, a loop needs to be iterated on the array's index. You could also use a *for* loop.
- By using the method *mkString*  Wrong -> No, the only use of *mkString* here would be to convert the array to a *String* type.

Q4: What do you call an array that cannot be modified once created? And how would you declare such an array and assign values 4, 5 and 6 to it?
Question type:

- Single correct answer

Answers:

- An invariable array, val myVector = Inv(4,5,6)  Wrong -> Neither the name nor the method is correct.
- An immutable array, val myVector = Vector(4,5,6)  Correct -> Yes, that’s the right answer.
- An immutable array, val myVector = ArrayImmut(4,5,6) ->  No, there is no such thing as the *ArrayImmut* method.
