## Entrées et Sorties d'une méthode


Temps 10 min 
Seuil de réussite: 80%

Fonction du quiz: Formative

Q1 : La méthode suivante doit avoir des paramètres formels explicites. Vous devez sélectionner le meilleur des noms des paramètres, pour cette méthode qui calcul la portée d'une antenne en fonction de sa taille :

```scala
import scala.math.sqrt
def portée(? : Double):Double{  
    sqrt(?*(12742+?))
}
```

Type de question:

- Réponse correcte multiple

Réponses :

- TAILLE Incorrect -> Utiliser uniquement des majuscules n'est pas une bonne pratique.
- x Incorrect -> Ce nom de variable n'indique en rien quelle est la signification de la valeur à donner à la méthode.
- taille Correct -> Facile à comprendre et à lire.
- hauteur Correct -> Facile à comprendre et à lire.

Q2 : Identifier la méthode correctement définit dans la liste proposée.

Type de question:

- Réponse correcte unique

Réponses :

- def bonjour(String : message):Unit{ println("Bonjour " + message)} Incorrect -> Cette définition de méthode n'est pas correcte.
- def bonjour(message:String):Unit={ println("Bonjour " + message)} Correct -> Cette méthode fonctionne.
- def bonjour(message:String):={ println("Bonjour " + message)} Incorrect -> Cette définition de méthode n'est pas correcte.
- def bonjour(message:String):Unit={ ("Bonjour " + message)}  Incorrect -> Cette définition de méthode n'est pas correcte

Q3 : Identifier la méthode qui ne retourne rien dans la liste proposée.

Type de question:

- Réponse correcte multiple

Réponses :

- def rayon(diamètre:Double):Double{ rayon/2} Incorrect -> Cette définition de méthode n'est pas correcte, rayon n'est pas 
- def rayon(diamètre:Double):Double{ diamètre/2} Correct -> Cette méthode retourne un Double.
- def rayon(diamètre:Double):Double{ return diamètre/2} Correct -> Cette méthode retourne un Double.
- def rayon(diamètre:Double):{ diamètre/2} Incorrect -> Cette définition de méthode n'est pas correcte, la signature n'est pas correcte.
