## Method inputs and outputs


Duration: 10 min 
Passing grade: 80%

Quiz type: Instructional

Q1: The following method requires explicitly-specified formal parameters. 
Your task is to select the best parameter names for this method, which computes 
the range of an antenna based on its size:

```scala
import scala.math.sqrt
def antRange(? : Double):Double{  
    sqrt(?*(12742+?))
}
```

Question type:

- Multiple correct answers

Answers:

- SIZE  Wrong -> It is not good practice to use all capital letters.
- x  Wrong -> This variable name does nothing to indicate its purpose in the method.
- size  Correct -> Easy to understand, easy to read.
- height Correct -> Easy to understand, easy to read.

Q2: Which of the following methods is properly defined?

Question type:

- Single correct answer

Answers:

- def hello(String : message):Unit{ println("Hello " + message)}  Wrong -> This is not a validly-defined method.
- def hello(message:String):Unit={ println("Hello " + message)} Correct -> Yes, this method will work.
- def hello(message:String):={ println("Hello " + message)}  Wrong -> This is not a validly-defined method.
- def hello(message:String):Unit={ ("Hello " + message)}  Wrong -> This is not a validly-defined method.

Q3: Which of the following methods return nothing?

Question type:

- Multiple correct answers

Answers:

- def radius(diameter:Double):Double{ radius/2} Wrong -> This is not a valid method definition; radius is not  
- def radius(diameter:Double):Double{ diameter/2} Correct -> This method will return a value in Double.
- def radius(diameter:Double):Double{ return diameter/2} Correct -> This method will return a value in Double.
- def radius(diameter:Double):{ diameter/2} Incorrect -> This is not a valid method definition: the signature is wrong.
