# Classes

Description: see course outline.

Passing grade: 80%

Duration: 3 min

Quiz type: Instructional

Q1: How would you instantiate an object in the class *Point*?

Question type:

- Single correct answer

``` scala
class Point(xc:Int = 0, yc:Int = 0){
    var x : Int = xc
    var y : Int = yc
}
```

Answers:

- val p1 = new Point(0,0)  Correct -> Yes, this instruction includes the keyword *new* to 
instantiate the object and the constructor containing the attributes of the class *Point*.
- val p1 = new Point  Wrong -> This instruction is incomplete. 
- val p1 = Point()  Wrong -> This instruction is incomplete.

Q2 : Where in a class should a method be defined?

Question type:

- Single correct answer

Answers:

- As a parameter along with the attributes.  Wrong -> Attributes are the only things passed as 
parameters when the class is being defined. 
- Within *main*, after instantiation.  Wrong -> Class methods can be used within *main*, but 
cannot be defined there.
- After the attributes, within the class itself.  Correct -> Yes, class methods are defined within 
the class, after the attributes.
