# Les Classes en action

### Étude de cas

Vous allez devoir analyser le problème suivant, l'expliquer de manière simple en langage naturel et
identifier les outils (e.g, type d'instruction, variables, ...) à utiliser pour le résoudre.

Les [nombres complexes](https://fr.wikipedia.org/wiki/Nombre_complexe) sont comme une extension de l'ensemble des nombres réels, contenant en particulier un nombre imaginaire.
Ils ont donc une partie complexe et une partie imaginaire. Vous devez écrire une classe complexe qui permet d'effectuer
les opérations suivantes entre complexe : addition, multiplication, module et d'afficher un nombre complexe sous sa forme
partie_réel +i partie_imaginaire. 

### Résolution

Depuis l'énoncé nous comprenons qu'il faut créer une classe Complexe comprenant deux attributs (partie réelle et partie imaginaire).
Cette classe doit aussi contenir quatre méthodes différentes correspondant aux opérations usuelles sur les complexes. Il sera aussi
nécessaire de considérer une méthode qui affiche un nombre complexe:

- addition : s'applique à un objet Complexe et prend un autre Complexe en argument. Additionne les parties réelles entre elle et les
parties imaginaires entre elles.

- multiplication : s'applique à un objet Complexe et prend un autre Complexe en argument. Multiplie les deux objets Complexe.

- module : s'applique à un objet Complexe. Calcule le module d'un object Complexe.

- affiche : s'applique à un objet Complexe. Permet d'afficher le nombre complexe avec ses deux parties.