# Classes in action

### Case study

You are now tasked with analyzing the following problem, explaining it simply in natural language, 
and identifying the tools (instruction types, variables, etc.) needed to solve it.

Complex numbers can be thought of as an extension of the set of real numbers; they are numbers that 
include an imaginary number (https://en.wikipedia.org/wiki/Complex_number).
A complex number has two parts: a real part and an imaginary part. Define a class named *Complex* 
that performs the following operations among complex numbers: add, subtract, find modulo and 
display a complex number in the form real_part + i imaginary_part.  
 

### Solution

The problem statement tells us to create a class *Complex* that has two attributes: a real part and 
an imaginary part. The class also needs to contain four different methods, one for each of the 
standard operations to be performed. You’ll also need a method that displays a complex number.

- addition: applies to one object in *Complex* and takes another *Complex* object as its argument. 
Adds the real parts together and the imaginary parts together.

- multiplication: applies to one object in *Complex* and takes another *Complex* object as its 
argument. Multiplies two *Complex* objects.

- modulo: applies to an object in *Complex*. Computes the modulo (remainder after division) of 
a *Complex* object.

- display: applies to an object in *Complex*. Displays both parts of a complex number.