# Pokédex

Your task is to write a "Pokédex", i.e., an information storage system for Pokémon creatures, using classes. 
A Pokédex (an "index of Pokémons") is a program that records information about Pokémons, more specifically their name, attributes and evolution (https://en.wikipedia.org/wiki/Pok%C3%A9mon). 
In creating your Pokédex program, you must use attributes, methods and inheritance.

The program must: 

- ask the user to input information about each Pokémon, which will then be stored; 
- allow the user to search for Pokémons based on specific characteristics; 
- display a summary of the information contained in the Pokédex (total number of Pokémons, how many of each type, etc.).

This information must match the Pokémons’ attributes.

The program may not contain any pre-saved Pokémons. 