## Title

Description, same as in course outline.

Passing grade: 80%

Quiz type: Instructional

Q1: Q1: A program consists of...?

Question type: 
- Single correct answer 

Answers:

- Data only (information) Wrong -> Data is not enough. Data must be processed, through instructions, in order to produce new data, i.e., results. A program is made up of data and instructions. Programming consists in describing the data and instructions required for the program to carry out the desired task.
- Executable instructions only Wrong -> Instructions alone are not sufficient. They are applied to data in order to produce new data, i.e., results. A program is made up of data and instructions. Programming consists in describing the data and instructions required for the program to carry out the desired task.
- Data and instructions. Correct -> Indeed, a program is made up of data and instructions. The instructions process the data. A program is made up of data and instructions. Programming consists in describing the data and instructions required for the program to carry out the desired task.


Q2: During a program's execution, random access memory is used to...?

Question type: 
- Single correct answer 

Answers:

- Store the values of the data used by the program.  Correct -> The values used in the program are "loaded" into the computer's random access memory.
- Store the values of the data used by the program and execute the program's instructions. Wrong -> Programs are usually written to the hard drive.
- Execute the instructions. Wrong -> The program's instructions are executed by the processor. 

Q3: During a program's execution, the processor is used to...?

Question type: 
- Single correct answer 
Answers:

- Store and execute the program's instructions  Wrong -> The processor does not have memory in which to store data.
- Execute the program’s instructions Correct ->  The processor executes the program’s instructions one after another.
- Store the values of the data used by the program  Wrong -> The processor does not have memory in which to store data.

Q4: High-level languages 

Question type: 
- Multiple correct answers
Answers:

- Are used to write programs that are, under normal circumstances, independent of the computer running them. Correct -> High-level languages can be executed on all types of computers and operating systems, unlike machine or assembler languages, which are specific to one type of equipment. This enables the development of "generic" languages without each one having to be rewritten for every type of equipment, each with its own machine language. 
- Are similar to machine languages. Wrong -> Machine language is low-level. It basically consists in a very "simple" translation of binary machine language into a symbolic language that can be written and read by humans.
- Are easier for programmers to write and read because they employ a vocabulary, a syntax similar to natural human language, and familiar symbols such as those used in mathematics. Correct ->  High-level languages were developed to be easier for the programmer to write and read, to be as disconnected as possible from the computer’s physical operation and to mirror the way humans reason when solving a task.
- Are used to write programs that can be directly executed on any computer. Wrong -> Programs cannot be directly executed on a computer. They have to be compiled (or “translated”) into machine language in order to be executed. A computer is not able to directly execute a program written in high-level language.

Q5: The operating system (OS)…

Question type: 
- Multiple correct answers
Answers:

- Consists of a set of programs. Correct -> The operating system is made up of a set of programs that work together to allow users to carry out their tasks.
- Executes the programs. Wrong -> The processor is what executes programs.
- Acts as a bridge between application programs and the computer hardware  Correct -> The operating system communicates between application programs (Word, Chrome, etc.) and the hardware (keyboard, monitor, etc.). This is why virtually every computer comes with a pre-installed operating system. Without it, you can’t actually use the computer. The OS orchestrates and coordinates all of a computer’s hardware ressources  and allows the user to interact with them.
- Allows application programs to be independent of the computer. Correct -> An application program can be executed on different computers, but they must all use the same operating system. The operating system, in a way, helps standardize computer equipment by producing identical operation on any computer that runs that operating system, regardless of components.
- Is a hardware component of the computer. Wrong ->  The operating system is not hardware; it is software. It is virtually always pre-installed on new computers. Without it, you can’t actually use the computer. The OS orchestrates and coordinates all of a computer’s hardware ressources  and allows the user to interact with them.

Q6: The user interface

Question type: 
- Multiple correct answers
Answers:

- Is a program Wrong -> The UI is not, strictly speaking, a program, but rather part of a program. It is the part that defines how the program communicates and interacts with the user. The UI generally has 3 main roles: to allow users to understand what to do in order to run the program, to give users a way to input the data required by the program, and to provide the results computed by the program in a useable format. The remainder of the program is, in a way, its heart. This is the part that processes data provided by the user in order to produce results.
- Is part of a program Correct ->  It is the part that defines how the program communicates and interacts with the user. The UI generally has 3 main roles: to allow users to understand what to do in order to run the program, to give users a way to input the data required by the program, and to provide the results computed by the program in a useable format. The remainder of the program is, in a way, its heart. This is the part that processes data provided by the user in order to produce results.
- Is a hardware component of the computer Wrong -> The user interface is the part of a program that operates input devices (keyboard, mouse) and output devices (screen), which are hardware components. The UI itself is not a hardware component. It is the part of a program that manages communication and interaction between the user and the program. Input devices allow the user to provide the data required for the program to carry out its processes. Output devices are used to transmit the results computed by the program to the user.
- Manages communication between the user and the program Correct -> The user interface is the part of a program that allows the user to communicate with the program. From a user perspective, running a program consists in a series of interactions, of varying durations, with the program; these interactions occur through the user interface. The user provides data at the interface’s request. The data is then processed by the program, creating a result to be delivered to the user. This result, once communicated, may lead to the user providing more data, and more results being produced, until the program has gone through all of its steps and computed the final results.