# Integers or Real Numbers

This quiz is designed to measure your understanding of integers and real numbers in Scala.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional/Certifying

Q1: Select the types that are able to contain integers. 
Question type: 
- Multiple correct answers


Answers:
- Int Correct -> This type can contain an integer value.
- Float Correct -> This type can contain an integer value.
- Double Correct -> This type can contain an integer value.
- Byte Correct -> This type contains an integer value.
- Short Correct -> This type contains an integer value.

Q2: Select the types that are able to contain real numbers. 
Question type: 

- Multiple correct answers


Answers:
- Long  Wrong -> This type can only contain integers.
- Float  Correct -> This type can contain a real number.
- Double  Correct -> This type can contain a real number.
- Byte  Wrong -> This type can only contain integers.
- Short  Wrong -> This type can only contain integers.

Q3: Which type offers the most precision when dealing with real numbers?
Question type: 
- Single correct answer 

Answers:
- Double  Correct -> The Double type allows you to store data with more precision. The data is saved in a large (64 bits) memory space (think of a large dresser drawer).
- Int  Wrong -> The Int type is for integers.
- Float  Wrong -> The Float type can store real numbers, but only on 32 bits.
