## Pick the right interval

This quiz is designed to measure your understanding of numerical types. You’ll be asked to 
select the most appropriate numerical type based on the information to be stored in the variable. 


Passing grade: 80%
Duration: 5 min


Quiz type: Instructional/Certifying

Q1: Which type is most appropriate if you want to store the year a bottle of wine was produced (for instance, 1994)?

Question type: 
- Single correct answer 

Answers:
- Short  Correct -> Yes, the *Short* type is the best choice here. It can contain numbers between -32,768 and 32,767.
- Long  Wrong -> Granted, this type could be used to store a year number, but it is capable of storing much more information than that. Another type is more appropriate.
- Int  Wrong ->  Granted, this type could be used to store a year number, but it is capable of storing much more information than that. Another type is more appropriate.

Q2: Which type would you use to store the total number of humans on Earth?

Question type: 
- Single correct answer 

Answers:
- Int : Correct -> Yes, the *Int* type is the best choice here. 
- Byte:  Wrong -> The data is too large to fit into a *Byte* variable.
- Double: Wrong -> Granted, this type could store the information, but it is not a good choice. The number of humans on Earth is not a decimal number.

Q3: Which type is best suited to storing Planck's constant (https://en.wikipedia.org/wiki/Planck_constant) (6.62607015 × 10<sup>−34</sup>)?

Question type: 
- Single correct answer 

Answers:

- Float  Correct -> Yes, *Float* is able to store the Planck constant.
- Byte  Wrong -> The data is too large to fit into a *Byte* variable.
- Int  Wrong -> The data is too large to fit into an *Int* variable.