## Identifying a condition

In this quiz, you will be shown various conditions and your task will be to find the entity being tested in each condition.

Passing grade: 80%
Duration: 5 min
Quiz type: Instructional

Q1: If you want to know if it’s warm out, what entity do you need to test? 
Question type: 
- Single correct answer 


- The temperature. Correct –> Yes, testing the temperature entity will inform you as to whether it is warm out.
- The number of suns  Wrong –> The number of suns is not an indicator of temperature. 
- The color of the sky  Wrong --> No, the color of the sky is not the entity you’d need to test.

Q2: Is it time for lunch? Which entity should I test? 
Question type: 
- Single correct answer 

- The color of the sky  Wrong --> No, the color of the sky is not the entity you’d need to test.
- The time of day  Correct –> Yes, the time of day will indicate whether it is lunchtime.
- The temperature  Wrong –> No, temperature does not need to be tested.

Q3: Is the following a valid logical condition? 
Question type: 
- Single correct answer 
 
If the leaves are orange, yellow and red, then it’s autumn. 

- Yes, there is a logical connection: the seasons.  Correct ->  The condition is valid: it is connected to the seasons.
- Yes, there is a logical connection: the type of tree.  Wrong -> There is a logical connection, but that is not it.
- No, there is no logical connection here.  Wrong ->  There is in fact a logical connection.


Q4 : Is the following condition valid in Scala? 
Question type: 
- Single correct answer 

```
if(A) == 7{
println("Variable A is equal to 7")
}
```
- Yes, this syntax is correct.  Wrong -> The condition is not expressed with correct syntax.
- No, the syntax is wrong: the test is not expressed correctly.  Correct -> The entire test of a condition must be enclosed in parentheses. 
- No, the syntax is wrong: the *else* is missing.  Wrong -> *If* can be used without *else*. On the other hand, *else* cannot be used without an *if* first.
