## La bonne méthode

Vous allez devoir répondre à un quiz utilisant des méthodes à appliquer à un tableau, vous devez choisir la bonne méthode en fonction du problème.

Seuil de réussite: 80%
Temps : 5 min
Fonction du quiz: Formative

Q1 : Comment définir et remplir un tableau de taille 20 avec des 1 ?

Type de question:

- Réponse correcte unique


Réponses :

- val tableau = Array.fill(1)(20) Incorrect -> Mauvaise réponse, l'argument que la méthode prend en entrée est la taille du tableau.
- val tableau = Array.fill(20)(1) Correct -> Bonne réponse, la méthode fill permet d'initialiser tous les éléments du tableau.
- val tableau = Array.tabulate(1)(20) Incorrect -> Mauvaise réponse, la méthode tabulate permet de remplir un tableau à partir d'une expression.

Q2 : Comment afficher le tableau ci-dessous dans la console, puis y effectuer la somme de ses éléments ?
val tableau = Array(1, 2, 3, 4)

Type de question:

- Réponse correcte unique 

Réponses :

- tableau.mkString tableau.sum Correct -> La méthode mkString prend aussi en argument un délimitateur qui sera utilisé lors de l'affichage.
- tableau.String tableau.sum Incorrect -> Mauvaise réponse, tableau.String n'est pas une méthode existante.
- tableau.mkString tableau.somme Incorrect -> Mauvaise réponse, tableau.somme n'est pas une méthode existante.

Q3 : Comment trier de façon décroissante le tableau donné ci-dessous?
val tableau = Array(6,19,3,78,25,29,42,68)

Type de question:

- Réponse correcte unique

Réponses :

- tableau.sorted.reverse Correct -> En effet l'application des méthodes sorted suivit de reverse permet de trier le tableau de façon décroissante. La méthode sorted trie les éléments de façon croissante, enfin reserve, inverse le tableau.
- tableau.reverse.sorted Incorrect -> Mauvaise réponse, si reverse est appliqué avant sorted, la seconde méthode va défaire l'action de la première.
- tableau.sorted Incorrect -> Mauvaise réponse, sorted par défaut trie par ordre croissant.
