# Production de code : Surfaces et volumes
Vous allez devoir écrire un programme qui permet de calculer la surface et volume d'un cylindre
et d'un parallélépipède rectangle en utilisant des méthodes. La méthode doit retourner le résultat dans
une nouvelle variable.

## Solution

```scala


   
    def surfaceCylindre(h : Double,r : Double): Double ={
        return 2 * 3.14 * r * (h + r)
    }
    
    def volumeCylindre(h : Double,r : Double): Double ={
        return 3.14 * r*r * h
    }

    def surfacePararect(h : Double,l : Double, L: Double): Double ={
        return 2*h*L + 2*h*l + 2*L*l
    }
    
    
    def volumePararect(h : Double,l : Double, L: Double): Double ={
        return  L * l * h
    }



    val surC = surfaceCylindre(3.1,10.3)
    val volC = volumeCylindre(3.1,10.3)
           
    val surP = surfacePararect(2.5,1.5,20.3)
    val volP = volumePararect(2.5,1.5,20.3)

```
