# Code production: Areas and volumes 

You are tasked with writing a program that computes the area and volume of a cylinder and 
a rectangular parallelepiped using methods. Each method must return the result in a 
new variable.

## Solution

```scala


   
    def areaCylinder(h : Double,r : Double): Double ={
        return 2 * 3.14 * r * (h + r)
    }
    
    def areaCylinder(h : Double,r : Double): Double ={
        return 3.14 * r*r * h
    }

    def areaRectPara(h : Double,l : Double, w: Double): Double ={
        return 2*h*w + 2*h*l + 2*w*l
    }
    
    
    def areaRectPara(h : Double,l : Double, w: Double): Double ={
        return  w * l * h
    }



    val areaC = areaCylinder(3.1,10.3)
    val volC = volumeCylinder(3.1,10.3)
           
    val areaP = areaRectPara(2.5,1.5,20.3)
    val volP = volumeRectPara(2.5,1.5,20.3)

```
