# Exceptions 

Vous allez devoir analyser le problème suivant, l'expliquer de manière simple en langage naturel et identifier les moyens (e.g, type d'instruction, variables, ...) à utiliser pour le résoudre.
Souvenez-vous, au début de ce MOOC, quand vous ne connaissiez pas encore les instructions conditionnelles (if, else): vous allez devoir écrire un programme qui accepte uniquement un nombre entier de l'utilisateur sans utiliser d'instructions conditionnelles mais en utilisant des exceptions.
Vous devez écrire un programme qui accepte uniquement un nombre entier , sans utiliser de if. Le programme doit afficher une erreur si l'utilisateur entre tout autre type de donnée.


## Solution

L'énoncé indique qu'il ne faut pas utiliser d'instructions conditionnelles mais uniquement des exceptions. Il faudra utiliser les instructions try-catch pour que l'utilisateur puisse entrer son nombre avec la méthode readLine(), qu'il faudra aussi importer. Une seule variable est nécessaire pour enregistrer la valeur de l'entrée. Dans le notebook précédent, un exemple d'une instruction qui génére une exception est donné.
