# Type d'entrée

Vous allez devoir répondre à un quiz sur les entrées/sorties en Scala.

Seuil de réussite: 80%
Temps 10 min
Fonction du quiz: Formative

Q1 : Quelle méthode permet d'écrire dans un fichier ?

Type de question:

- Réponses correctes unique

Réponses :

- readline Incorrect -> readline permet à l'utilisateur d'entrer du texte avec son clavier dans la console.
- println Incorrect -> println permet d'afficher du texte dans la console.
- PrintWriter Correct -> PrintWriter est la méthode qui permet d'écrire dans un fichier, elle prend en argument le nom du fichier.

Q2 : Sélectionner les interfaces de communication (entrées/sorties) en programmation :

Type de question:

- Réponses correctes multiples

Réponses :

- Fichier Disque Correct -> Les fichiers enregistrés sur le disque dur sont une interface de communication.
- Webcam Correct -> La webcam permet de capturer des images, c'est aussi une entrée d'information pour un programme.
- Réseau Correct -> Le réseau permet la communication d'un programme à un serveur.

Q3 : Quelle méthode permet d'ajouter des données à un fichier existant ?

Type de question:

- Réponses correctes unique

Réponses :

- WriterFile et PrintWriter Correct -> L'utilisation de ces deux méthodes et du passage en argument à WriterFile d'un boolean à true permet d'ajouter des données en fin d'un fichier.
- WriterFile Incorrect -> WriterFile n'est pas une méthode existante.
- PrintWriter Incorrect -> PrintWriter est la méthode qui permet d'écrire dans un nouveau fichier.

Q4 : Que permet la méthode .isEmpty lors de la lecture d'un fichier?

Type de question:

- Réponses correctes unique

Réponses :

- Déterminer si une String contient "isEmpty" Incorrect -> Appliqué à une String, cette méthode retourne true si la String est vide, false si elle contient un ou plusieurs caractères.
- Déterminer si une liste est vide. Incorrect -> Uniquement lors de l'application de la méthode sur une liste, pas lors de la lecture d'un fichier.
- Déterminer si la fin d'un fichier est atteint. Correct -> Appliqué à un itérateur dans la lecture de fichier, elle permet en effet d'identifier la fin d'un fichier.

Q5 : Comment ouvrir un fichier pour le lire ?

Type de question:

- Réponses correctes unique

Réponses :

- PrintWriter("fichier.txt") Incorrect -> PrintWriter permet l'écriture d'un fichier.
- Source.fromFile("fichier.txt") Correct -> Il faut utiliser Source.fromFile('nom du fichier').
